diff --git a/src/bin/scripts/reindexdb.c b/src/bin/scripts/reindexdb.c
index 665864fd22..6036959a78 100644
--- a/src/bin/scripts/reindexdb.c
+++ b/src/bin/scripts/reindexdb.c
@@ -365,18 +365,10 @@ reindex_one_database(ConnParams *cparams, ReindexType type,
 				indices_tables_list = get_parallel_object_list(conn, process_type,
 															   user_list, echo);
 
-				/*
-				 * Bail out if nothing to process.  'user_list' was modified
-				 * in-place, so check if it has at least one cell.
-				 */
-				if (user_list->head == NULL)
+				/* Bail out if nothing to process */
+				if (indices_tables_list == NULL)
 					return;
 
-				/*
-				 * Assuming 'user_list' is not empty, 'indices_tables_list'
-				 * shouldn't be empty as well.
-				 */
-				Assert(indices_tables_list != NULL);
 				indices_tables_cell = indices_tables_list->head;
 
 				break;
